Skip to content
Permalink
Browse files

activate by default thread library 2.8.4, configure all of Tcl with "…

…--with-naviserver" flag
  • Loading branch information...
gustafn committed Aug 17, 2019
1 parent 05c5f41 commit 5419bdbd9be422b7bfcb6aa1a0842831e6ae96ff
Showing with 3 additions and 3 deletions.
  1. +3 −3 install-ns.sh
@@ -35,8 +35,8 @@ version_modules=${version_ns}
version_tcl=8.6.9
version_tcllib=1.19
tcllib_dirname=tcllib
version_thread=2.8.2
#version_thread=2.8.4
#version_thread=2.8.2
version_thread=2.8.4
version_xotcl=2.3.0
#version_xotcl=HEAD
#version_tdom=GIT
@@ -619,7 +619,7 @@ EOF
fi

cd tcl${version_tcl}/unix
./configure --enable-threads --prefix=${ns_install_dir}
./configure --enable-threads --prefix=${ns_install_dir} --with-naviserver=${ns_install_dir}
${make}
${make} install

1 comment on commit 5419bdb

@nextensible

This comment has been minimized.

Copy link
Contributor

commented on 5419bdb Sep 19, 2019

Using the --with_naviserver flag seems to break the installation? Under Debian 10, I had to remove this recent addition to make install-ns succeed. Otherwise it failed with

checking for NaviServer/AOLserver configuration... configure: error: /usr/local/ns-4.99.18 directory doesn't contain ns.h
make: *** [Makefile:1716: configure-packages] Error 1

As a workaround, I switched from 4.99.18 to HEAD and compilation succeeded.

Please sign in to comment.
You can’t perform that action at this time.